### Struct

# FwupdPlugin StructCabFile

#### Description

    struct FuStructCabFile {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_cab_file_new

No description available.

###### fu_struct_cab_file_parse_stream

No description available.

#### Instance methods

###### fu_struct_cab_file_get_date

No description available.

###### fu_struct_cab_file_get_fattr

No description available.

###### fu_struct_cab_file_get_index

No description available.

###### fu_struct_cab_file_get_time

No description available.

###### fu_struct_cab_file_get_uoffset

No description available.

###### fu_struct_cab_file_get_usize

No description available.

###### fu_struct_cab_file_ref

No description available.

###### fu_struct_cab_file_set_date

No description available.

###### fu_struct_cab_file_set_fattr

No description available.

###### fu_struct_cab_file_set_index

No description available.

###### fu_struct_cab_file_set_time

No description available.

###### fu_struct_cab_file_set_uoffset

No description available.

###### fu_struct_cab_file_set_usize

No description available.

###### fu_struct_cab_file_unref

No description available.